---
title: "bigquery/ERR/2022_001"
linkTitle: "ERR/2022_001"
weight: 1
type: docs
description: >
  BigQuery does not exceed rate limits
---

**Product**: [BigQuery](https://cloud.google.com/bigquery)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

BigQuery has various quotas that limit the rate and volume of incoming
requests. These quotas exist both to protect the backend systems, and to help
guard against unexpected billing if you submit large jobs.

### Remediation

To resolve these limit issues, retry the operation after few seconds. Use
exponential backoff between retry attempts. If you consistently reach one of
these longer-term quota limits, you should analyze your workload for ways to
mitigate the issue. Mitigations can include optimizing your workload or
requesting a quota increase.

### Further information

- [Troubleshoot BigQuery quota errors](https://cloud.google.com/bigquery/docs/troubleshoot-quotas#concurrent_queries_quota_errors)
