---
title: "dataproc/WARN/2022_001"
linkTitle: "WARN/2022_001"
weight: 1
type: docs
description: >
  Dataproc VM Service Account has necessary permissions
---

**Product**: [Cloud Dataproc](https://cloud.google.com/dataproc)\
**Rule class**: WARN - Something that is possibly wrong

### Description

VM Service Account should have required permissions to function correctly.
Though required permission may be granted via user-managed role or primitive
roles, it is recommended to grant roles/dataproc.worker on project level.

### Remediation

Grant roles/dataproc.worker to VM Service Account

### Further information

- [Dataproc service accounts](https://cloud.google.com/dataproc/docs/concepts/configuring-clusters/service-accounts#dataproc_service_accounts_2)
- [Dataproc VM Service Account](https://cloud.google.com/dataproc/docs/concepts/iam/dataproc-principals#vm_service_account_data_plane_identity)
- [Dataproc Roles](https://cloud.google.com/dataproc/docs/concepts/iam/iam#roles)
